## gnue-appserver-0.5.3.zip

=== po/Makefile ===
DOMAIN = gnue-appserver

#XGETTEXT = xgettext --language=Python
XGETTEXT = pygettext --keyword="u_"

POTFILE = $(DOMAIN).pot
POFILES = $(shell ls *.po)
GMOFILES = $(shell ls *.po | sed -e "s/\.po/\.gmo/")

.SUFFIXES:
.SUFFIXES: .po .gmo

gmo: $(GMOFILES)

update-po:
	rm -f STATISTICS
	cd ../src; $(XGETTEXT) --output=../po/$(POTFILE) `find * -name '*.py'`
	for i in $(POFILES); do msgmerge --output-file=$$i.tmp $$i $(POTFILE) && mv $$i.tmp $$i; done
	make gmo

%.gmo: %.po
	echo -n "$*: " >> STATISTICS
	(LANGUAGE=C msgfmt --statistics --output-file=$@ $*.po 2>&1) | grep translated >> STATISTICS

.PHONY: gmo update-po
