=== packaging/debian/changelog ===
gnue-appserver (0.5.3-0) unstable; urgency=low

  * Unofficial Debian package

 -- GNU Enterprise Team <gnue-dev@gnu.org>  Fri, 16 Oct 2009 18:02:27 +0000
