=== packaging/debian/control ===
Source: gnue-appserver
Section: interpreters
Priority: optional
Maintainer: Andrew Mitchell <ajmitch@gnu.org>
Build-Depends-Indep: debhelper (>= 4.1.25), cdbs (>= 0.4.43), python-all-dev, python-support (>= 0.5.3), gnue-common (>= 0.6.8)
Standards-Version: 3.6.1

Package: gnue-appserver
Architecture: all
Depends: ${python:Depends}, python-support (>= 0.5.3), gnue-common (>= 0.6.8), python-pysqlite2 | python-sqlite | python-psycopg2 | python-psycopg | python-pygresql | python-pgsql | python-mysqldb | python-kinterbasdb | python-maxdb
Description: GNU Enterprise Application Server
 The GNU Enterprise Application Server is the core of the n-tier variant of the
 GNU Enterprise system.
 To the front end (be it GNUe Forms, GNUe Reports or any other tool), it
 provides user-defineable business objects with arbitary fields and methods.
 While transforming access to those fields and methods into database
 communication and calling of scripts, it cares about stability, security,
 speed, and consistency.
